package dev.adriankuta.pixabay

import androidx.navigation.NavController
import dev.adriankuta.pixabay.PixabayDestinationsArgs.PHOTO_ID_ARG
import dev.adriankuta.pixabay.PixabayScreens.PHOTO_DETAILS_SCREEN
import dev.adriankuta.pixabay.PixabayScreens.SEARCH_SCREEN

private object PixabayScreens {
    const val SEARCH_SCREEN = "search"
    const val PHOTO_DETAILS_SCREEN = "details"
}

object PixabayDestinationsArgs {
    const val PHOTO_ID_ARG = "photoId"
}

object PixabayDestinations {
    const val SEARCH_ROUTE = SEARCH_SCREEN
    const val PHOTO_DETAILS_ROUTE = "$PHOTO_DETAILS_SCREEN/{$PHOTO_ID_ARG}"
}

class PixabayNavigationActions(private val navController: NavController) {

    fun navigateToDetails(photoId: Int) {
        navController.navigate("$PHOTO_DETAILS_SCREEN/$photoId")
    }
}